<?php

use Xanweb\LsHtmlHelper\Form\LinkType as ItemLink;

defined('C5_EXECUTE') or die('Access Denied.');

/**
 * @var Concrete\Core\Block\View\BlockView $view
 * @var Xanweb\LiteSlider\Form\Service\Form $form
 * @var array $rows
 * @var array $colorPickerOptions
 * @var string $editorInitJSFunction
 * @var string $uniqID
 */
?>
<script>
    $(function(){
        $('#xw-lite-slider-form-<?php echo $uniqID ?>').xwSliderForm({
            templateId: "itemTemplate<?php echo $uniqID ?>",
            items: <?php echo json_encode($rows) ?>,
            colorPicker: <?php echo json_encode($colorPickerOptions, JSON_NUMERIC_CHECK) ?>,
            <?php echo isset($editorInitJSFunction) ? "initRichTextEditor: $editorInitJSFunction" : '' ?>
        });
    });
</script>

<div id="xw-lite-slider-form-<?php echo $uniqID ?>" class="xw-lite-slider-form">

    <div class="clearfix">
        <button type="button" class="btn btn-info pull-right xw-add-images-btn launch-tooltip" title="<?php echo t('In order to add multiple images, you have to hold down the Ctrl key as you click on each image. Then open the menu in the top left corner and click Choose Files.') ?>">
            <i class="fa fa-picture-o"></i> <?php echo t('Add Images') ?>
        </button>
    </div>

    <div class="spacer-row-1"></div>

    <div class="xw-item-list__items"></div>
    <div class="floating-block-actions">
        <button class="btn btn-success xw-item-list__add-item col-xs-12 col-12"><?php echo t('Add Slide') ?></button>
    </div>
</div>

<script type="text/template" id="itemTemplate<?php echo $uniqID ?>">
    <div class="xw-item-list__item well">
        <i class="btn btn-xs drag-handle fa fa-arrows"></i>

        <div class="panel-heading">
            <div class="row">
                <div class="col-xs-12 col-sm-7">
                    <div class="ccm-file-selector" data-field="file-selector" data-name="<?php echo $view->field('fID') ?>[]" data-value="<%=item.fID%>"></div>
                </div>
                <div class="col-12 col-xs-12 col-sm-5 text-right">
                    <div class="btn-group-sm">
                        <a href="javascript:void(0);" class="btn btn-default xw-item-list__edit-item xw-item-list__item-expander" data-target=".panel-body">
                            <?php echo t('Edit Slide') ?>
                        </a>
                        <a href="javascript:void(0);" class="btn btn-danger xw-item-list__remove-item"><?php echo t('Remove') ?></a>
                    </div>
                </div>
            </div>
        </div>
        <div class="panel-body form-horizontal" style="display: none;">
            <div class="clearfix">
                <div class="form-group">
                    <label class="control-label"><?php echo t('Title') ?></label>
                    <!--suppress HtmlFormInputWithoutLabel -->
                    <input type="text" class="form-control" name="<?php echo $view->field('title') ?>[]" value="<%-item.title%>" maxlength="255">
                </div>

                <div class="row">
                    <div class="col-xs-6">
                        <div class="form-group">
                            <label class="control-label"><?php echo t('Title Color') ?></label>
                            <!--suppress HtmlFormInputWithoutLabel -->
                            <input class="ccm-widget-colorpicker" type="text" name="<?php echo $view->field('titleColor') ?>[]" value="<%-item.titleColor%>" id="ccm-colorpicker-<%= _.uniqueId('title-color') %>" />
                        </div>
                    </div>
                    <div class="col-xs-6">
                        <div class="form-group">
                            <label class="control-label"><?php echo t('Overlay Color') ?></label>
                            <!--suppress HtmlFormInputWithoutLabel -->
                            <input class="ccm-widget-colorpicker" type="text" name="<?php echo $view->field('overlayColor') ?>[]" value="<%-item.overlayColor%>" id="ccm-colorpicker-<%= _.uniqueId('overlay-color') %>" />
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label"><?php echo t('Description') ?></label>
                    <!--suppress HtmlFormInputWithoutLabel -->
                    <textarea class="editor-content" name="<?php echo $view->field('description') ?>[]" id="<%=_.uniqueId('desc')%>"><%=item.description%></textarea>
                </div>

                <div class="form-group">
                    <label class="control-label"><?php echo t('Image Alt') ?></label>
                    <!--suppress HtmlFormInputWithoutLabel -->
                    <input type="text" class="form-control" name="<?php echo $view->field('imageAlt') ?>[]" value="<%-item.imageAlt%>" maxlength="255">
                </div>

                <div class="row">
                    <div class="col-xs-6">
                        <div class="form-group">
                            <label class="control-label"><?php echo t('Box Color') ?></label>
                            <!--suppress HtmlFormInputWithoutLabel -->
                            <input class="ccm-widget-colorpicker" type="text" name="<?php echo $view->field('boxColor') ?>[]" value="<%-item.boxColor%>" id="ccm-colorpicker-<%=_.uniqueId('boxColor')%>" />
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xs-4">
                        <div class="form-group">
                            <label class="control-label"><?php echo t('Link Type') ?></label>
                            <!--suppress HtmlFormInputWithoutLabel -->
                            <select name="<?php echo $view->field('linkType') ?>[]" class="form-control" data-choice="link-type">
                                <option value="<?php echo ItemLink::NO_LINK ?>"<% if (item.linkType == <?php echo ItemLink::NO_LINK ?>) { print(' selected'); } %>><?php echo t('No link') ?></option>
                                <option value="<?php echo ItemLink::INTERNAL ?>"<% if (item.linkType == <?php echo ItemLink::INTERNAL ?>) { print(' selected'); } %>><?php echo t('Another Page') ?></option>
                                <option value="<?php echo ItemLink::EXTERNAL ?>"<% if (item.linkType == <?php echo ItemLink::EXTERNAL ?>) { print(' selected'); } %>><?php echo t('External URL') ?></option>
                            </select>
                        </div>
                    </div>
                    <div class="col-xs-8">
                        <div style="display: none;" class="form-group" data-choice-group="link-type" data-choice-value="1">
                            <label class="control-label"><?php echo t('Page') ?></label>
                            <div data-field="page-selector" data-name="<?php echo $view->field('internalLinkCID') ?>[]" data-value="<%=item.internalLinkCID%>"></div>
                        </div>

                        <div style="display: none;" class="form-group" data-choice-group="link-type" data-choice-value="2">
                            <label class="control-label"><?php echo t('URL') ?></label>
                            <!--suppress HtmlFormInputWithoutLabel -->
                            <input type="text" class="form-control" name="<?php echo $view->field('linkExtern') ?>[]" value="<%-item.linkExtern%>">
                        </div>
                    </div>
                </div>

                <input class="xw-item-entry-sort" type="hidden" name="<?php echo $view->field('sortOrder') ?>[]" value="<%=item.sortOrder%>"/>
            </div>
        </div>
    </div>
</script>
