<?php

namespace Xanweb\LiteSlider;

use Illuminate\Support\Arr;
use Concrete\Core\Config\Repository\Repository as Config;

class Defaults
{
    /**
     * @var Defaults
     */
    private static $instance;

    /**
     * @var Config
     */
    private static $config;

    /**
     * @var array
     */
    protected $data;

    public function __construct()
    {
        $this->data = [
            'sliderOptions' => [
                'autoplay' => 0,
                'autoplayInterval' => 2000,
                'animationType' => 'slide',
                'animation' => 'cubic-bezier(0.165, 0.840, 0.440, 1.000)',
                'animationDuration' => 800,
                'pauseOnHover' => 0,
                'loop' => 0,
                'arrows' => 1,
            ],
            'colorPickerOptions' => [
                'showAlpha' => true,
                'appendTo' => 'div.form-group'
            ],
            'editorInitJsFunction' => null,
        ];
    }

    /**
     * Get Config
     *
     * @param string $key
     *
     * @return mixed
     */
    public static function get(string $key)
    {
        return self::config()->get("xanweb.lite_slider.$key", function () use ($key) {
            return Arr::get(static::instance()->data, $key);
        });
    }

    /**
     * Gets a singleton instance of this class.
     *
     * @return static
     */
    protected static function instance(): self
    {
        return self::$instance ?? self::$instance = new static();
    }

    protected static function config(): Config
    {
        return self::$config ?? self::$config = app('config');
    }
}
